Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSettings({
networkId: "string",
});
export const merakiNetworksSettingsExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_settings(network_id="string")
pulumi.export("merakiNetworksSettingsExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSettings(ctx, &networks.LookupSettingsArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSettingsExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSettings.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSettingsExample"] = example.Apply(getSettingsResult => getSettingsResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSettingsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSettings(GetSettingsArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSettingsExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSettings
arguments:
networkId: string
outputs:
merakiNetworksSettingsExample: ${example.item}
Using getSettings
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSettings(args: GetSettingsArgs, opts?: InvokeOptions): Promise<GetSettingsResult>
function getSettingsOutput(args: GetSettingsOutputArgs, opts?: InvokeOptions): Output<GetSettingsResult>def get_settings(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSettingsResult
def get_settings_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSettingsResult]func LookupSettings(ctx *Context, args *LookupSettingsArgs, opts ...InvokeOption) (*LookupSettingsResult, error)
func LookupSettingsOutput(ctx *Context, args *LookupSettingsOutputArgs, opts ...InvokeOption) LookupSettingsResultOutput> Note: This function is named LookupSettings in the Go SDK.
public static class GetSettings
{
public static Task<GetSettingsResult> InvokeAsync(GetSettingsArgs args, InvokeOptions? opts = null)
public static Output<GetSettingsResult> Invoke(GetSettingsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSettingsResult> getSettings(GetSettingsArgs args, InvokeOptions options)
public static Output<GetSettingsResult> getSettings(GetSettingsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSettings:getSettings
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSettings Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Settings Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Settings Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Settings Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Settings Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Settings Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSettingsItem
- Fips
Get
Settings Item Fips - A hash of FIPS options applied to the Network
- Local
Status GetPage Settings Item Local Status Page - A hash of Local Status page(s)' authentication options applied to the Network.
- Local
Status boolPage Enabled - Enables / disables the local device status pages (\n\nmy.meraki.com, \n\n\n\nap.meraki.com, \n\n\n\nswitch.meraki.com, \n\n\n\nwired.meraki.com\n\n). Optional (defaults to false)
- Named
Vlans GetSettings Item Named Vlans - A hash of Named VLANs options applied to the Network.
- Remote
Status boolPage Enabled - Enables / disables access to the device status page (\n\nhttp://[device's LAN IP])\n\n. Optional. Can only be set if localStatusPageEnabled is set to true
- Secure
Port GetSettings Item Secure Port - A hash of SecureConnect options applied to the Network.
- Fips
Get
Settings Item Fips - A hash of FIPS options applied to the Network
- Local
Status GetPage Settings Item Local Status Page - A hash of Local Status page(s)' authentication options applied to the Network.
- Local
Status boolPage Enabled - Enables / disables the local device status pages (\n\nmy.meraki.com, \n\n\n\nap.meraki.com, \n\n\n\nswitch.meraki.com, \n\n\n\nwired.meraki.com\n\n). Optional (defaults to false)
- Named
Vlans GetSettings Item Named Vlans - A hash of Named VLANs options applied to the Network.
- Remote
Status boolPage Enabled - Enables / disables access to the device status page (\n\nhttp://[device's LAN IP])\n\n. Optional. Can only be set if localStatusPageEnabled is set to true
- Secure
Port GetSettings Item Secure Port - A hash of SecureConnect options applied to the Network.
- fips
Get
Settings Item Fips - A hash of FIPS options applied to the Network
- local
Status GetPage Settings Item Local Status Page - A hash of Local Status page(s)' authentication options applied to the Network.
- local
Status BooleanPage Enabled - Enables / disables the local device status pages (\n\nmy.meraki.com, \n\n\n\nap.meraki.com, \n\n\n\nswitch.meraki.com, \n\n\n\nwired.meraki.com\n\n). Optional (defaults to false)
- named
Vlans GetSettings Item Named Vlans - A hash of Named VLANs options applied to the Network.
- remote
Status BooleanPage Enabled - Enables / disables access to the device status page (\n\nhttp://[device's LAN IP])\n\n. Optional. Can only be set if localStatusPageEnabled is set to true
- secure
Port GetSettings Item Secure Port - A hash of SecureConnect options applied to the Network.
- fips
Get
Settings Item Fips - A hash of FIPS options applied to the Network
- local
Status GetPage Settings Item Local Status Page - A hash of Local Status page(s)' authentication options applied to the Network.
- local
Status booleanPage Enabled - Enables / disables the local device status pages (\n\nmy.meraki.com, \n\n\n\nap.meraki.com, \n\n\n\nswitch.meraki.com, \n\n\n\nwired.meraki.com\n\n). Optional (defaults to false)
- named
Vlans GetSettings Item Named Vlans - A hash of Named VLANs options applied to the Network.
- remote
Status booleanPage Enabled - Enables / disables access to the device status page (\n\nhttp://[device's LAN IP])\n\n. Optional. Can only be set if localStatusPageEnabled is set to true
- secure
Port GetSettings Item Secure Port - A hash of SecureConnect options applied to the Network.
- fips
Get
Settings Item Fips - A hash of FIPS options applied to the Network
- local_
status_ Getpage Settings Item Local Status Page - A hash of Local Status page(s)' authentication options applied to the Network.
- local_
status_ boolpage_ enabled - Enables / disables the local device status pages (\n\nmy.meraki.com, \n\n\n\nap.meraki.com, \n\n\n\nswitch.meraki.com, \n\n\n\nwired.meraki.com\n\n). Optional (defaults to false)
- named_
vlans GetSettings Item Named Vlans - A hash of Named VLANs options applied to the Network.
- remote_
status_ boolpage_ enabled - Enables / disables access to the device status page (\n\nhttp://[device's LAN IP])\n\n. Optional. Can only be set if localStatusPageEnabled is set to true
- secure_
port GetSettings Item Secure Port - A hash of SecureConnect options applied to the Network.
- fips Property Map
- A hash of FIPS options applied to the Network
- local
Status Property MapPage - A hash of Local Status page(s)' authentication options applied to the Network.
- local
Status BooleanPage Enabled - Enables / disables the local device status pages (\n\nmy.meraki.com, \n\n\n\nap.meraki.com, \n\n\n\nswitch.meraki.com, \n\n\n\nwired.meraki.com\n\n). Optional (defaults to false)
- named
Vlans Property Map - A hash of Named VLANs options applied to the Network.
- remote
Status BooleanPage Enabled - Enables / disables access to the device status page (\n\nhttp://[device's LAN IP])\n\n. Optional. Can only be set if localStatusPageEnabled is set to true
- secure
Port Property Map - A hash of SecureConnect options applied to the Network.
GetSettingsItemFips
- Enabled bool
- Enables / disables FIPS on the network.
- Enabled bool
- Enables / disables FIPS on the network.
- enabled Boolean
- Enables / disables FIPS on the network.
- enabled boolean
- Enables / disables FIPS on the network.
- enabled bool
- Enables / disables FIPS on the network.
- enabled Boolean
- Enables / disables FIPS on the network.
GetSettingsItemLocalStatusPage
- Authentication
Get
Settings Item Local Status Page Authentication - A hash of Local Status page(s)' authentication options applied to the Network.
- Authentication
Get
Settings Item Local Status Page Authentication - A hash of Local Status page(s)' authentication options applied to the Network.
- authentication
Get
Settings Item Local Status Page Authentication - A hash of Local Status page(s)' authentication options applied to the Network.
- authentication
Get
Settings Item Local Status Page Authentication - A hash of Local Status page(s)' authentication options applied to the Network.
- authentication
Get
Settings Item Local Status Page Authentication - A hash of Local Status page(s)' authentication options applied to the Network.
- authentication Property Map
- A hash of Local Status page(s)' authentication options applied to the Network.
GetSettingsItemLocalStatusPageAuthentication
GetSettingsItemNamedVlans
- Enabled bool
- Enables / disables Named VLANs on the Network.
- Enabled bool
- Enables / disables Named VLANs on the Network.
- enabled Boolean
- Enables / disables Named VLANs on the Network.
- enabled boolean
- Enables / disables Named VLANs on the Network.
- enabled bool
- Enables / disables Named VLANs on the Network.
- enabled Boolean
- Enables / disables Named VLANs on the Network.
GetSettingsItemSecurePort
- Enabled bool
- Enables / disables SecureConnect on the network. Optional.
- Enabled bool
- Enables / disables SecureConnect on the network. Optional.
- enabled Boolean
- Enables / disables SecureConnect on the network. Optional.
- enabled boolean
- Enables / disables SecureConnect on the network. Optional.
- enabled bool
- Enables / disables SecureConnect on the network. Optional.
- enabled Boolean
- Enables / disables SecureConnect on the network. Optional.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
